<?php

namespace App\Mail;

use App\Requisicion;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class RequisicionAvisoMateriales extends Mailable
{
    use Queueable, SerializesModels;
    public $requisicion;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(Requisicion $requisicion)
    {
        $this->requisicion = $requisicion;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject('Sistema de control del programa operativo anual')
                    ->view('mail.requisicion.aviso_materiales');
    }
}
